function RES=removeTopValues(ARG,percent)
% Удаление percent% наибольших значений 
% Разработана для одной строки и многих столбиков
% Вход  : ARG - вектор значений
%         percent - процент удаляемых значений
% Выход : RES - результирующая матрица

if nargin==1
    percent=10;
end

[m,n]=size(ARG);
howManyDelete=fix(m*n/100*percent);

RES=ARG;
RES2=sort(RES);
[R,C]=find(RES>RES2(1,n-howManyDelete));
[mR,nR]=size(R);

index=1;
while C(1,index)==index
    index=index+1;
end

RES3=RES(1,index:C(1,index)-1);
for i=index+1:nR-1
    RES3=[RES3 RES(1,C(1,i)+1:C(1,i+1)-1)];
end
if i~=nR
    RES3=[RES3 RES(1,C(1,i)+1:n)];
end
    
RES=RES3;